| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | Private Member Functions | Private Attributes | List of all members
ZDomain::Info Class Reference
Basic

Information of z-domain. More...

`#include <zdomain.h>`

## Public Member Functions
| Info (const Def &, const char *unitstr=nullptr)
| Info (const Info &)
| Info (const IOPar &)
| ~Info ()
DepthType | depthType () const
bool | fillPar (IOPar &) const
const MultiID | getID () const
uiString | getLabel () const
uiString | getRange (bool withunit=true) const
Interval< float > | getReasonableZRange (bool foruser=false) const
ZSampling | getReasonableZSampling (bool work, bool foruser=false) const
bool | hasID () const
bool | isCompatibleWith (const Info &) const
bool | isCompatibleWith (const IOPar &) const
bool | isDepth () const
bool | isDepthFeet () const
bool | isDepthMeter () const
bool | isTime () const
const char * | key () const
int | nrDecimals (float zstep, bool usepref=true) const
bool | operator!= (const Info &) const
Info & | operator= (const Info &)=delete
bool | operator== (const Info &) const
void | setDepthUnit (DepthType)
void | setID (const char *)
void | setID (const MultiID &)
void | setPreferredNrDec (int)
const char * | sKeyNrDec () const
TimeType | timeType () const
uiString | uiUnitStr (bool wp=false) const
const char * | unitStr (bool wp=false) const
int | userFactor () const
uiString | userName () const

## Static Public Member Functions
static const Info & | getFrom (const char *zdomkey, const char *zunitstr)
static const Info * | getFrom (const IOPar &)
static const Info & | getFrom (const ZDomain::Info &)

## Public Attributes
const Def & | def_
IOPar & | pars_

## Private Member Functions
void | createNrDecStr ()
void | setDefaultUnit ()

## Private Attributes
int | nrdec_ = Values::Undef< int >::val()
BufferString | nrdecstr_

## Detailed Description

Information of z-domain.

<>

## Constructor & Destructor Documentation

## ◆ Info() [1/3]

ZDomain::Info::Info | ( | const Def & | ,
|  | const char * | unitstr = nullptr )

## ◆ Info() [2/3]

ZDomain::Info::Info | ( | const Info & |  | ) |

## ◆ Info() [3/3]

ZDomain::Info::Info | ( | const IOPar & |  | ) |

## ◆ ~Info()

ZDomain::Info::~Info | ( |  | ) |

## Member Function Documentation

## ◆ createNrDecStr()

void ZDomain::Info::createNrDecStr | ( |  | ) |
| private

## ◆ depthType()

DepthType ZDomain::Info::depthType | ( |  | ) | const

## ◆ fillPar()

bool ZDomain::Info::fillPar | ( | IOPar & |  | ) | const

## ◆ getFrom() [1/3]

static const Info & ZDomain::Info::getFrom | ( | const char * | zdomkey,
|  | const char * | zunitstr )
| static

## ◆ getFrom() [2/3]

static const Info * ZDomain::Info::getFrom | ( | const IOPar & |  | ) |
| static

## ◆ getFrom() [3/3]

static const Info & ZDomain::Info::getFrom | ( | const ZDomain::Info & |  | ) |
| static

## ◆ getID()

const MultiID ZDomain::Info::getID | ( |  | ) | const

## ◆ getLabel()

uiString ZDomain::Info::getLabel | ( |  | ) | const

## ◆ getRange()

uiString ZDomain::Info::getRange | ( | bool | withunit = true | ) | const

## ◆ getReasonableZRange()

Interval< float > ZDomain::Info::getReasonableZRange | ( | bool | foruser = false | ) | const

## ◆ getReasonableZSampling()

ZSampling ZDomain::Info::getReasonableZSampling | ( | bool | work,
|  | bool | foruser = false ) const

## ◆ hasID()

bool ZDomain::Info::hasID | ( |  | ) | const

## ◆ isCompatibleWith() [1/2]

bool ZDomain::Info::isCompatibleWith | ( | const Info & |  | ) | const

## ◆ isCompatibleWith() [2/2]

bool ZDomain::Info::isCompatibleWith | ( | const IOPar & |  | ) | const

## ◆ isDepth()

bool ZDomain::Info::isDepth | ( |  | ) | const
| inline

## ◆ isDepthFeet()

bool ZDomain::Info::isDepthFeet | ( |  | ) | const

## ◆ isDepthMeter()

bool ZDomain::Info::isDepthMeter | ( |  | ) | const

## ◆ isTime()

bool ZDomain::Info::isTime | ( |  | ) | const
| inline

## ◆ key()

const char * ZDomain::Info::key | ( |  | ) | const
| inline

## ◆ nrDecimals()

int ZDomain::Info::nrDecimals | ( | float | zstep,
|  | bool | usepref = true ) const

## ◆ operator!=()

bool ZDomain::Info::operator!= | ( | const Info & |  | ) | const

## ◆ operator=()

Info & ZDomain::Info::operator= | ( | const Info & |  | ) |
| delete

## ◆ operator==()

bool ZDomain::Info::operator== | ( | const Info & |  | ) | const

## ◆ setDefaultUnit()

void ZDomain::Info::setDefaultUnit | ( |  | ) |
| private

## ◆ setDepthUnit()

void ZDomain::Info::setDepthUnit | ( | DepthType |  | ) |

## ◆ setID() [1/2]

void ZDomain::Info::setID | ( | const char * |  | ) |

## ◆ setID() [2/2]

void ZDomain::Info::setID | ( | const MultiID & |  | ) |

## ◆ setPreferredNrDec()

void ZDomain::Info::setPreferredNrDec | ( | int |  | ) |

## ◆ sKeyNrDec()

const char * ZDomain::Info::sKeyNrDec | ( |  | ) | const

## ◆ timeType()

TimeType ZDomain::Info::timeType | ( |  | ) | const

## ◆ uiUnitStr()

uiString ZDomain::Info::uiUnitStr | ( | bool | wp = false | ) | const

## ◆ unitStr()

const char * ZDomain::Info::unitStr | ( | bool | wp = false | ) | const

## ◆ userFactor()

int ZDomain::Info::userFactor | ( |  | ) | const
| inline

## ◆ userName()

uiString ZDomain::Info::userName | ( |  | ) | const
| inline

## Member Data Documentation

## ◆ def_

const Def& ZDomain::Info::def_

## ◆ nrdec_

int ZDomain::Info::nrdec_ = Values::Undef< int >::val()
| private

## ◆ nrdecstr_

BufferString ZDomain::Info::nrdecstr_
| private

## ◆ pars_

IOPar& ZDomain::Info::pars_

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025